package be.iminds.ilabt.jfed.rspec.model.imutable_impl;

import be.iminds.ilabt.jfed.rspec.model.AnsibleService;

public class ImmutableAnsibleService implements AnsibleService {
    private final String playbookCommand;
    private final String galaxyCommand;
    private final String logfile;
    private final String installRequirements;
    private final String executePlaybook;
    private final Boolean debug;
    private final String inventory;

    public ImmutableAnsibleService(AnsibleService o){
        this.playbookCommand = o.getPlaybookCommand();
        this.galaxyCommand = o.getGalaxyCommand();
        this.logfile = o.getLogfile();
        this.installRequirements = o.getInstallRequirements();
        this.executePlaybook = o.getExecutePlaybook();
        this.debug = o.getDebug();
        this.inventory = o.getInventory();
    }

    @Override
    public String getPlaybookCommand() {
        return playbookCommand;
    }

    @Override
    public void setPlaybookCommand(String playbookCommand) {
        throw new UnsupportedOperationException();
    }

    @Override
    public String getGalaxyCommand() {
        return galaxyCommand;
    }

    @Override
    public void setGalaxyCommand(String galaxyCommand) {
        throw new UnsupportedOperationException();
    }

    @Override
    public String getLogfile() {
        return logfile;
    }

    @Override
    public void setLogfile(String logfile) {
        throw new UnsupportedOperationException();
    }

    @Override
    public String getInstallRequirements() {
        return installRequirements;
    }

    @Override
    public void setInstallRequirements(String installRequirements) {
        throw new UnsupportedOperationException();
    }

    @Override
    public String getExecutePlaybook() {
        return executePlaybook;
    }

    @Override
    public void setExecutePlaybook(String executePlaybook) {
        throw new UnsupportedOperationException();
    }

    @Override
    public Boolean getDebug() {
        return debug;
    }

    @Override
    public void setDebug(Boolean debug) {
        throw new UnsupportedOperationException();
    }

    @Override
    public String getInventory() {
        return inventory;
    }

    @Override
    public void setInventory(String inventory) {
        throw new UnsupportedOperationException();
    }
}
